Browse Source

processus d'installation/upgrade :

- ne creer que les tables de l'extension qui s'installe
- utiliser la fonction maj_plugin a laquelle on fournit un tableau d'operations elementaires
- gerer la transition depuis SPIP 2.1 dans tous les cas (table existante mais pas de meta)
svn/root/tags/plugins/breves/1.1.4
cedric@yterium.com 12 years ago
parent
commit
31b855dc86
  1. 21
      base/breves_upgrade.php

21
base/breves_upgrade.php

@ -17,20 +17,13 @@
* @param string $version_cible
*/
function breves_upgrade($nom_meta_base_version,$version_cible){
$current_version = 0.0;
if ( (!isset($GLOBALS['meta'][$nom_meta_base_version]) )
|| (($current_version = $GLOBALS['meta'][$nom_meta_base_version])!=$version_cible)){
if ($current_version==0.0){
include_spip('base/create');
// creer les tables
creer_base();
// mettre les metas par defaut
$config = charger_fonction('config','inc');
$config();
ecrire_meta($nom_meta_base_version,$current_version=$version_cible);
}
}
$maj = array();
$maj['create'] = array(
array('maj_tables',array('spip_breves')),
);
include_spip('base/upgrade');
maj_plugin($nom_meta_base_version, $version_cible, $maj);
}
/**

Loading…
Cancel
Save